#include<bits/stdc++.h>
using namespace std;
ifstream f1("DQQT.inp");
ofstream f2("DQQT.out");
long long tinh(long long n)
{
	if(n==1)	return 1;
	else return	(pow(-1,n+1)*n)+tinh(n-1); 
}
long long gt(long long n)
{
	if(n==1)	return 1;
	else return n*gt(n-1);
}
long long kq(long long n)
{
	if(n==1)	return 1;
	else return gt(n)+kq(n-1);
 } 
int main()
{
	long long a,s=0,i;
	f1>>a;
	f2<<tinh(a)<<endl;
	f2<<kq(a);
	f1.close();
	f2.close();
}
